use crate::table::{list_table, JMTableEntry, TableExt};
use libjens::{api::Category, JMClient};

pub async fn run(client: &JMClient) -> anyhow::Result<()> {
    // clone required, because for sorting the immutable reference will not work
    let mut cats = client.get_cats().await?.as_ref().clone();
    cats.sort_by(|a, b| a.id.cmp(&b.id));

    println!(
        "{}",
        list_table()
            .type_header::<Category>()
            .add_rows(cats.into_iter().map(JMTableEntry))
    );

    Ok(())
}
