use anyhow::Result;
use libjens::{api::User, JMClient};

use crate::table::{list_table, JMTableEntry, TableExt};

pub async fn run(client: &JMClient) -> Result<()> {
    let users = client.get_users().await?;

    println!(
        "{}",
        list_table()
            .type_header::<User>()
            .add_rows(users.iter().cloned().map(JMTableEntry))
    );

    Ok(())
}
